List Role Assignment
Note: Authorization in this context refers to role assignments, not to OAuth authorization.
ListAuthorizations returns all authorizations matching the request and necessary permissions.
Required permissions:
- "user.grant.read"
- no permissions required for listing own authorizations
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.authorization.v2.AuthorizationService/ListAuthorizations" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"pagination": {
"totalResult": 0,
"appliedLimit": 0
},
"authorizations": [
{
"id": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"project": {
"id": "string",
"name": "string",
"organizationId": "string"
},
"organization": {
"id": "string",
"name": "string"
},
"user": {
"id": "string",
"preferredLoginName": "string",
"displayName": "string",
"avatarUrl": "string",
"organizationId": "string"
},
"state": "STATE_UNSPECIFIED",
"roles": [
{
"key": "string",
"displayName": "string",
"group": "string"
}
]
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Delete Role Assignment
Delete Role Assignment: Note: Authorization in this context refers to role assignments, not to OAuth authorization. DeleteAuthorization deletes the authorization. In case the authorization is not found, the request will r...
Update Role Assignments
Update Role Assignments: Note: Authorization in this context refers to role assignments, not to OAuth authorization. UpdateAuthorization updates the authorization. Note that any role keys previously granted to the user and...